### Navigation

- index
- next |
- previous |
- CMake »
- 3.1.3 Documentation »
- cmake-commands(7) »

# option

Provides an option that the user can optionally select.

    option(<option_variable> "help string describing option"
           [initial value])

Provide an option for the user to select as ON or OFF. If no initial value is provided, OFF is used.

If you have options that depend on the values of other options, see the module help for CMakeDependentOption.

### Navigation

- index
- next |
- previous |
- CMake »
- 3.1.3 Documentation »
- cmake-commands(7) »